summaryrefslogtreecommitdiffstats
path: root/academic/megax/megax.SlackBuild
diff options
context:
space:
mode:
author Petar Petrov2018-07-14 00:14:52 +0200
committer David Spencer2018-07-14 00:14:52 +0200
commit678b09e63cc6588808f18215c870ff688038843c (patch)
tree9d7dc0576cc6a103eab0fca75a7ef5def28e163b /academic/megax/megax.SlackBuild
parent963be05bd51d05d9f6b3257a236b44c5888e66d9 (diff)
downloadslackbuilds-678b09e63cc6588808f18215c870ff688038843c.tar.gz
academic/megax: Added (Molecular Evolutionary Genetics Analysis).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'academic/megax/megax.SlackBuild')
-rw-r--r--academic/megax/megax.SlackBuild110
1 files changed, 110 insertions, 0 deletions
diff --git a/academic/megax/megax.SlackBuild b/academic/megax/megax.SlackBuild
new file mode 100644
index 0000000000..b33801c213
--- /dev/null
+++ b/academic/megax/megax.SlackBuild
@@ -0,0 +1,110 @@
+#!/bin/sh
+
+# Slackware build script for megax
+# This takes the place of "megacc" in 2018, as it includes also the GUI
+# of the program (megax) in addition to megacc.
+
+# Copyright 2017-2018 Petar Petrov slackalaxy@gmail.com
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=megax
+VERSION=${VERSION:-10.0.4_1}
+DEBVER=10.0.4-1
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i386 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i386" ] || [ "$ARCH" = "i486" ] || [ "$ARCH" = "i586" ] || [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+ DEBARCH="i386"
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+ DEBARCH="amd64"
+else
+ printf "\n\n$ARCH is not supported... \n"
+ exit 1
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+ar p $CWD/${PRGNAM}_${DEBVER}_${DEBARCH}.deb data.tar.xz | tar xJv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Fix path in runmega.sh for x86_64
+sed -i "s|/usr/lib/megax|/usr/lib${LIBDIRSUFFIX}/megax|g" usr/lib/$PRGNAM/runmega.sh
+
+# Place things in /usr/lib and just create symlinks later.
+# This is what Debian's and RedHat's packages do.
+mkdir -p $PKG/usr/lib${LIBDIRSUFFIX}
+cp -a usr/lib/$PRGNAM $PKG/usr/lib${LIBDIRSUFFIX}
+
+# Copy man pages to their proper place.
+cp -a usr/local/share/man $PKG/usr
+
+mkdir -p $PKG/usr/bin
+cd $PKG/usr/bin
+ln -s ../lib${LIBDIRSUFFIX}/$PRGNAM/megacc
+ln -s ../lib${LIBDIRSUFFIX}/$PRGNAM/runmega.sh megax
+cd -
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+# Menu entry for MEGA X, use our .desktop file
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/$PRGNAM.desktop $PKG/usr/share/applications
+cp usr/share/pixmaps/mega.png $PKG/usr/share/pixmaps/megax.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $CWD/References > $PKG/usr/doc/$PRGNAM-$VERSION/References
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}